Bug 59464 - Raw Hide aspell is coredumping
Raw Hide aspell is coredumping
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: aspell (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-08 09:52 EST by Jonathan Kamens
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-08 15:02:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2002-02-08 09:52:28 EST
I am pretty much up-to-date with Raw Hide as of 2002-02-07.

> aspell -a
Segmentation fault (core dumped)
> gdb /usr/bin/aspell core
GNU gdb Red Hat Linux (5.1.1-1)
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
(no debugging symbols found)...
Core was generated by `aspell -a'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/lib/libaspell.so.10...done.
Loaded symbols for /usr/lib/libaspell.so.10
Reading symbols from /lib/i686/libm.so.6...done.
Loaded symbols for /lib/i686/libm.so.6
Reading symbols from /lib/libgcc_s.so.1...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/i686/libc.so.6...done.
Loaded symbols for /lib/i686/libc.so.6
Reading symbols from /usr/lib/libpspell-impl.so.6...done.
Loaded symbols for /usr/lib/libpspell-impl.so.6
Reading symbols from /usr/lib/libpspell.so.4...done.
Loaded symbols for /usr/lib/libpspell.so.4
Reading symbols from /usr/lib/libltdl.so.3...done.
Loaded symbols for /usr/lib/libltdl.so.3
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /usr/lib/libpspell-modules.so.1...done.
Loaded symbols for /usr/lib/libpspell-modules.so.1
Reading symbols from /usr/lib/libstdc++.so.4...done.
Loaded symbols for /usr/lib/libstdc++.so.4
Reading symbols from /usr/lib/libncurses.so.5...done.
Loaded symbols for /usr/lib/libncurses.so.5
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x0805c4ea in std::istream::sentry::sentry(std::istream&, bool) ()
(gdb) where
#0  0x0805c4ea in std::istream::sentry::sentry(std::istream&, bool) ()
#1  0x0805956a in std::basic_istream<char, std::char_traits<char> >&
std::operator>><char, std::char_traits<char>, std::allocator<char>
>(std::basic_istream<char, std::char_traits<char> >&, std::basic_string<char,
std::char_traits<char>, std::allocator<char> >&) ()
#2  0x40082e39 in autil::split(std::string const&) ()
   from /usr/lib/libaspell.so.10
#3  0x40065e53 in aspell::Language::setup(std::string, aspell::Config*) ()
   from /usr/lib/libaspell.so.10
#4  0x4009c299 in aspell::Language::Language(std::string, aspell::Config&) ()
   from /usr/lib/libaspell.so.10
#5  0x4006b591 in aspell::DataSet::set_check_lang(std::string const&,
aspell::Config*) () from /usr/lib/libaspell.so.10
#6  0x4006f3c3 in aspell_default_readonly_ws::ReadOnlyWS::load(std::string
const&, aspell::Config*, aspell::Manager*, aspell::LocalWordSetInfo const*) ()
   from /usr/lib/libaspell.so.10
#7  0x4006ccc1 in aspell::add_data_set(std::string const&, aspell::Config&,
aspell::Manager*, aspell::LocalWordSetInfo const*, unsigned) ()
   from /usr/lib/libaspell.so.10
#8  0x400809ce in aspell::MultiWS::load(std::string const&, aspell::Config*,
aspell::Manager*, aspell::LocalWordSetInfo const*) ()
   from /usr/lib/libaspell.so.10
#9  0x4006ccc1 in aspell::add_data_set(std::string const&, aspell::Config&,
aspell::Manager*, aspell::LocalWordSetInfo const*, unsigned) ()
   from /usr/lib/libaspell.so.10
#10 0x40077284 in aspell::Manager::real_setup() ()
   from /usr/lib/libaspell.so.10
#11 0x40076f5e in aspell::Manager::setup(aspell::Config const&) ()
   from /usr/lib/libaspell.so.10
#12 0x4007687d in aspell::Manager::Manager(aspell::Config const&) ()
   from /usr/lib/libaspell.so.10
#13 0x08051637 in pipe() ()
#14 0x0805058d in main ()
#15 0x401336e7 in __libc_start_main (main=0x80500d0 <main>, argc=2, 
    ubp_av=0xbffffa34, init=0x804f50c <_init>, fini=0x8061380 <_fini>, 
    rtld_fini=0x4000dcd4 <_dl_fini>, stack_end=0xbffffa2c)
    at ../sysdeps/generic/libc-start.c:129
(gdb) quit
> rpm -q aspell
aspell-0.33.7.1-8
> rpm -q pspell
pspell-0.12.2-7
>
Comment 1 Trond Eivind Glomsrxd 2002-02-08 15:02:12 EST
Reproduced...
Comment 2 Trond Eivind Glomsrxd 2002-03-21 18:36:31 EST
Switching back to old compiler (2.96RH) fixed that - for now.

Note You need to log in before you can comment on or make changes to this bug.